Lookout

cancel
Showing results for 
Search instead for 
Did you mean: 

clients can't find server

Hi Ed, thanks for the reply.
 
Everything works great with Lookout V5.
 
With V6, we have not been able to connect to an Allen Bradley PLC5, GE9030 works fine, AB SLC500 works fine,
 
so, we are at a loss for the AB PLC5. (like I said, we have had no problems with V5 to any of our PLC's) (all ethernet)
 
We tried to make a simple (no driver objects at all) Server process with V6 that had only a POT object.
 
Created a client with a POT object, that links back to the Server's POT object (using the green URL field)
 
The server's POT object is not 'seeing' the changes we do on the client's POT object. (again, no problems with V5)
 
We have a PC with a clean install of WinXP, we are going to install V 6 this weekend. and try it again. I will keep everyone posted.
 
Thanks for everyone's help. Any ideas, please post. Again, thanks.
 
Rich
 
0 Kudos
Message 11 of 16
(2,422 Views)
Have you tried the new install last weekend? what's the result?
Ryan Shi
National Instruments
0 Kudos
Message 12 of 16
(2,397 Views)

ok, more info on this one...

Installed V6.2 spent the $1,999 to upgrade to the latest and the greatest...

 

And Lookout still does not talk to ethernet AB PLC5's (5-80E in my case)

Lookout V5.1 (and before back to V3.8) worked just fine talking to this PLC

Nothing has changed on the computer, except for uninstalling Lookout V5.1 and installing Lookout V6.2

 

Ryan, please confirm NI has this working. (ethernet to AB PLC5)

 

Also, please get a fix for the alarm filtering problem with the client.

0 Kudos
Message 13 of 16
(1,925 Views)

It's sunday night, the plant is down, I'm doing my Lookout Upgrade from V5.1 to V6.2 (couldn't get 6.0 working with ethernet AB PLC5) hoped V6.2 would fix it. but it would not. (see previous post)

 

and I figured what the heck, i've got nothing to loose, so I rename the albrad.cbx file in Lookout v6.2 to albrad.6p2

then i get a copy of the old albrad.cbx file from like 5.0 (because they removed ethernet on slc500 [see other posts about that]... put that old file in my V6.2 and now i have communications to the PLC5

 

info on the albrad.cbx file that is working with lookout V6.2...

225,335 bytes   Created: April 18, 2001, 6:02:00 PM

0 Kudos
Message 14 of 16
(1,924 Views)

Rich,

 

I looked into the source code. The problem is probably in lookout ab driver. We modify the communication protocol in lookout 6.x. Before, we used AB Ethernet protocol, or called CSP. From Lookout 6.x, we start to use Ethernet/IP, or called CIP. So, if your PLC doesn't support CIP, the driver will not work. I guess this is the problem.

 

From the AB website, I find a KB about firmware.

http://literature.rockwellautomation.com/idc/groups/literature/documents/rn/1785-rn524_-en-p.pdf

On page 3, it is said that a certain revision of PLC5 CPU is Ethernet/IP compliant. I don't have much experience of the PLC5 firmware, but you can try to contact the PLC distributer to check your current CPU firmware and the possibility of upgrading the firmware to support the Ethernet/IP protocol(CIP). You can also contact the distributer to confirm the protocol supported by your current PLC5. If only CSP is supported now, it is the issue.

 

Another option for you now is to use the old cbx file, if you don't need to use SLC Ethernet.

 

Or you can try the NI OPC Server. I'm sure that the NI OPC Server will work, and it uses the CSP for PLC5. You need to use OPClient object in lookout to make the connection to OPC Server. You can edit the .lks file directly to convert the current connections from cbx driver to opclient. If you'd like to do so, I can help you with the modification in lks file.

Ryan Shi
National Instruments
0 Kudos
Message 15 of 16
(1,919 Views)

Ryan, thanks for your reply. It was very helpfull. My PLC5 is 10 years old, and it probably could stand to have a firmware upgrade. Thanks for checking the code of the NI AB driver (and also about the explination of how it was changed, this makes sense to me now).

 

One note of interest, all my PLC's are on the ethernet (GE 90-30, AB SLC-505, AB PLC-5/80E) (several of the GE's and several SLC's, only 1 PLC-5).

Contrary to your concern about communicating to the SLC's with the 'old' driver, the SLC's are talking great with Lookout V6.2 using the old AB driver.

 

If I can find the time, I will firmware upgrade my PLC-5, put back the 'new' driver, test, and report back on how it went.

 

thanks again

 

Rich Anderson

0 Kudos
Message 16 of 16
(1,915 Views)